@echo off
setlocal
set TCCLECMD="C:\apps\JPSoft\TCCLE14x64\tcc.exe"

@echo EiffelStudio delivery:

@echo 1: make_delivery
@echo 2: make_exes
@echo 3: make_installations
@echo 4: starting environment
@echo 5: bootstrap environment
@echo 6: display logs
@echo -------------------
@echo i: display info
@echo -------------------
@echo q: quit

CHOICE /C 123456iq /M " > selection:"
if .%ERRORLEVEL%. == .1. GOTO make_delivery
if .%ERRORLEVEL%. == .2. GOTO make_exes
if .%ERRORLEVEL%. == .3. GOTO make_installations
if .%ERRORLEVEL%. == .4. GOTO starting_env
if .%ERRORLEVEL%. == .5. GOTO bootstrap_env
if .%ERRORLEVEL%. == .6. GOTO display_logs
if .%ERRORLEVEL%. == .7. GOTO display_info
if .%ERRORLEVEL%. == .8. goto end
goto end

:make_delivery
%TCCLECMD% /C make_delivery.btm
goto end

:make_exes
%TCCLECMD% /C make_exes.btm
goto end

:make_installations
%TCCLECMD% /C make_installations.btm
goto end

:starting_env
%TCCLECMD% init.btm
goto end

:bootstrap_env
%TCCLECMD% init.btm
goto end

:display_logs
%TCCLECMD% display_logs.btm
echo %INSTALL_LOG%
goto end

:display_info
echo Display Info
%TCCLECMD% display_information.btm
goto end

:end
